/*
 * Execute_Command_LED.h
 *
 *  Created on: 2024/11/18
 *      Author: egaono-electronics
 */

#ifndef EXECUTE_COMMAND_LED_H_
#define EXECUTE_COMMAND_LED_H_

#include "Dev_Conf.h"

#include def_Header_HAL

#include "Blink_LED_ST.h"



//----------------------------------------------------------
// 受信コマンドを実行する。 : LED点滅
//----------------------------------------------------------
// 引数;
// uint16_t uint16_ReceiveLength : 受信データ数
// uint8_t *puint8_aReceiveData :
//              受信データが格納されているBufferのポインタ
// uint8_t *puint8_aSendData :
//              応答送信データを格納するBufferのポインタ

// struct sParam_Blink_LED_ST *pstructParam_Blink_LED_ST :
//              ST LED点滅用パラメータの構造体のポインタ


// 戻り値; 応答送信データ数
//----------------------------------------------------------
uint16_t Execute_Command_LED(uint16_t uint16_ReceiveLength,
                             uint8_t *puint8_aReceiveData,
                             uint8_t *puint8_aSendData,
            struct sParam_Blink_LED_ST *pstructParam_Blink_LED_ST);



#endif /* EXECUTE_COMMAND_LED_ */
